Skip to content

Get Organization Adoption Wizard Onboardable Repositories

Request

Security
bearer-key
Path
orgUuidstringrequired

org UUID (from the Mend App: Administration General > Organization UUID).

Query
cursorstring

Parameter indicates the starting point for retrieving results, the first call doesn't include a cursor parameter in the request, the API response includes the first set of results along with a cursor pointing to the last item retrieved.

limitstring, <= 10000

Specifies the maximum number of items to be returned in the response.

Default:"50"
enginestringrequired
Value:"sast"
scanSourcestringrequired
Value:"developer-platform"
namestring
GET
/api/v3.0/orgs/{orgUuid}/adoptionWizard/repositories
curl -i -X GET \
  'https://baseUrl/api/v3.0/orgs/{orgUuid}/adoptionWizard/repositories?cursor=string&limit=50&engine=sast&scanSource=developer-platform&name=string' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

OK

Bodyapplication/json
supportTokenstring(Support Token)
Example:"1171c60d"
responseobject(AdoptionWizardRepositoriesDTO)
Response
{ "supportToken": "1171c60d", "response": { "repositories": [] } }